# 3. Consulta Bancos

**Endpoint**

```


POST https://cashtrack.com.br/api/cliente/show/bancos?page=1

```

**Headers**

```


Accept: application/json
Content-Type: application/json
Authorization: Bearer {{SEU_TOKEN}}

```

**Corpo da Requisição (Request Body)**

```json
json

{
  "id": null,
  "empresa": "",
  "banco": ""
}

```

* `id` (opcional): ID do banco.
* `empresa`: filtro pelo apelido da empresa (modo *like*) ou filtro pelo ID da empresa quando o campo conter apenas números.
* `banco`: filtro em (modo *like)* pelo apelido do banco ou, se nulo, pelo nome do banco.

**Exemplo de Resposta**

```json
json

{
  "current_page": 1,
   "data": [
     {
        "id": 1488,
        "empresa_id": 949,
        "apelido": null,
        "codigo": 77,
        "agencia": 1,
        "conta": null,
        "saldo_inicial":"5388.07",
        "data_saldo_inicial":"2025-03-01"
    },
    {
        "id": 1489,
        "empresa_id": 949,
        "apelido": null,
        "codigo": 260,
        "agencia": null,
        "conta": null,
        "saldo_inicial":"7156.79",
        "data_saldo_inicial":"2025-03-01"
    }
  ],
  "first_page_url": "https://cashtrack.com.br/api/cliente/show/bancos?page=1",
  "from": 1,
  "last_page": 1,
  "last_page_url": "https://cashtrack.com.br/api/cliente/show/bancos?page=1",
  "links": [...],
  "next_page_url": null,
  "path": "https://cashtrack.com.br/api/cliente/show/bancos",
  "per_page": 25,
  "prev_page_url": null,
  "to": 2,
  "total": 2
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cashtrack.com.br/cashtrack-api-v.1.0.2/requisicoes/3.-consulta-bancos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
